# class KIconTheme | Class to use/access icon themes in KDE. More...
Definition | `#include <kicontheme.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KIconTheme (const QString& name, const QString& appName=QString::null)
- ~KIconTheme ()
- QString name () const
- QString description () const
- QString example () const
- QString screenshot () const
- QString linkOverlay () const
- QString zipOverlay () const
- QString lockOverlay () const
- QString dir () const
- QStringList inherits () const
- bool isValid () const
- int depth () const
- int defaultSize (int group) const
- QValueList<int> querySizes (int group) const
- QStringList queryIcons (int size, int context = KIcon::Any) const
- QStringList queryIconsByContext (int size, int context = KIcon::Any) const
- KIcon iconPath (const QString& name, int size, int match) const

#### Public Static Methods

- static QStringList list ()
- static QString current ()
- static void reconfigure ()

## Detailed Description

Class to use/access icon themes in KDE. This class is used by the iconloader but can be used by others too.

KIconTheme (const QString& name, const QString& appName=QString::null) | ### KIconTheme

~KIconTheme () | ### ~KIconTheme

QString name () | ### name

[const]

QString description () | ### description

[const]

QString example () | ### example

[const]

QString screenshot () | ### screenshot

[const]

QString linkOverlay () | ### linkOverlay

[const]

QString zipOverlay () | ### zipOverlay

[const]

QString lockOverlay () | ### lockOverlay

[const]

QString dir () | ### dir

[const]

QStringList inherits () | ### inherits

[const]

bool isValid () | ### isValid

[const]

int depth () | ### depth

[const]

The mimimum display depth required for this theme. This can either be 8 or 32

int defaultSize (int group) | ### defaultSize

[const]

The default size of this theme for a certain icon group.

Parameters:

group | The icon group. See KIcon::Group.

Returns: The default size in pixels for the given icon group.

QValueList<int> querySizes (int group) | ### querySizes

[const]

QStringList queryIcons (int size, int context = KIcon::Any) | ### queryIcons

[const]

QStringList queryIconsByContext (int size, int context = KIcon::Any) | ### queryIconsByContext

[const]

KIcon iconPath (const QString& name, int size, int match) | ### iconPath

[const]

Lookup an icon in the theme.

Parameters:

name | The name of the icon, without extension.
size | The desired size of the icon.
match | The matching mode. KIcon::MatchExact returns an icon only if matches exactly. KIcon::MatchBest returns the best matching icon.

Returns: A KIcon class that describes the icon. If an icon is found, KIcon::isValid will return true, and false otherwise.

QStringList list () | ### list

[static]

QString current () | ### current

[static]

void reconfigure () | ### reconfigure

[static]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:13 2001, using kdoc 2.0a53.